curl --request POST \
--url 'https://api.adside.ai/meta/mcp#create_ad' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"name": "<string>",
"adset_id": "<string>",
"creative_id": "<string>",
"account_id": "<string>",
"status": "PAUSED"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}Create a new ad within an ad set. Requires an existing creative and ad set. The ad is created in PAUSED status by default.
curl --request POST \
--url 'https://api.adside.ai/meta/mcp#create_ad' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"name": "<string>",
"adset_id": "<string>",
"creative_id": "<string>",
"account_id": "<string>",
"status": "PAUSED"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.